<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Video Feed with Delay</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
    <style>
        #videoContainer {
            position: relative;
            width: 100%; /* Adjust based on your delayed video size */
        }
        #delayedVideo {
            object-fit: cover;
            aspect-ratio: auto;
        }
        #cameraFeed {
            position: absolute;
            top: 0;
            right: 0;
            width: 160px; /* Adjust based on your preference */
            border: none; /* Optional, for styling */
        }

        .position-relative {
            width: fit-content;
        }
        
        #counterOverlay {
            background: rgba(0, 0, 0, 0.5); /* Semi-transparent background */
            color: white;
            border-radius: 5px;
        }
    </style>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous"></script>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light sticky-top">
      <div class="container-fluid">
        <a class="navbar-brand" href="#">Video Delay</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <form id="form" class="d-flex">
            <label for="delayInput">Delay (seconds)</label>
            <input id="delayInput" class="form-control me-2" type="text" placeholder="Seconds Delay" aria-label="Seconds Delay">
            <label for="frameRateInput">Frame Rate</label>
            <input id="frameRateInput" class="form-control me-2" type="text" placeholder="Frame Rate" aria-label="Frame Rate">
            <div class="form-check form-check-inline">
              <input class="form-check-input" type="radio" name="inlineRadioOptions" id="selectUserCamera" value="user">
              <label class="form-check-label" for="selectUserCamera">user</label>
            </div>
            <div class="form-check form-check-inline">
              <input class="form-check-input lg" type="radio" name="inlineRadioOptions" id="selectEnvironmentCamera" value="environment">
              <label class="form-check-label" for="selectEnvironmentCamera">environment</label>
            </div>
            <button class="btn btn-outline-success" type="submit">Set</button>
            <button class="btn btn-outline-success" type="button" id="startRecording" >Start Record</button>
            <button class="btn btn-outline-success" type="button" id="saveRecording" >Save</button>
          </form>
        </div>
      </div>
    </nav>
    <div id="videoContainer" class="container ratio ratio-16x9 postion-relative">
        <canvas id="delayedCanvas">
        </canvas>
        <div id="cameraFeedOverlay" class="position-absolute top-0 start-0 p-1">
            <video id="cameraFeed" autoplay playsinline></video>
        </div>
        <div id="counterOverlay" class="position-absolute top-0 start-0 p-2">
            <span id="counterValue">0</span>s
            <button class="btn position-absolute bottom-0 end-0" onclick="toggleFullScreen">Toggle Fullscreen</button>
        </div>
    </div>
    <script>
        if ('serviceWorker' in navigator) {
           navigator.serviceWorker.register("/serviceworker.js");
        }
    </script>
    <script src="app.js"></script>
    <script src="feed.js"></script>
</body>
</html>
